Subject: Re: bug#12368: 24.1; x-parse-geometry broken in Emacs 24.1

From: Jan Djärv <[email-masked]>
Date: Wed, 12 Sep 2012 22:30:33 +0200

Hello.

12 sep 2012 kl. 20:22 skrev Glenn Morris <[email-masked]>:

> Jan Djärv wrote:
> 
>> x-parse-geometry (non-NS variant) calls XParseGeometry. This may not
>> be available. But the W32-prt has an implementation.
>> 
>> It seems as ns-parse-geometry expects "top left with height", i.e.:
>> 
>> (x-parse-geometry "10 5 80 40")
>> ((top . 10) (left . 5) (height . 80) (width . 40))
>> 
>> I don't know where this type of geometry is specified, but we could
>> support both (if there is a space in the string, it is NS-style, if
>> there is a +, -, x orX, it is X-style).
>> 
>> We could move the W32-version of XParseGeometry somewhere common
>> (where?) and use that. Or we can rewrite x-parse-geometry in lisp.
>> 
>> Suggestions?
> 
> I don't know...
> At first I was going to say, rewrite x-parse-geometry in Lisp sounds
> simple, especially if you want to handle both style of geometry.
> But then since XParseGeometry is standard in X11 and already
> reimplemented in w32xfns.c, maybe it's simpler just to use that.

Ok, I can move it to frame.c with suitable #ifdefs around it.

> And set_frame_size calls XParseGeometry from C as well (so how does that
> work on NS? I see nsfns.m has a stub definition as well).

I don't see how set_frame_size calls XParseGeometry.  The only calls I see are in Fx_parse_geometry and in widget.c (Xt only).

	Jan D.